gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: fix git updating


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: fix git updating logic
Date: Thu, 12 Jan 2017 17:50:05 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 76e808a  fix git updating logic
76e808a is described below

commit 76e808a481452b84f9b71daf0e9123e1fa9394cb
Author: Florian Dold <address@hidden>
AuthorDate: Thu Jan 12 17:50:02 2017 +0100

    fix git updating logic
---
 taler-build/update_gnunet.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/taler-build/update_gnunet.sh b/taler-build/update_gnunet.sh
index 04ebb57..1f9bedf 100755
--- a/taler-build/update_gnunet.sh
+++ b/taler-build/update_gnunet.sh
@@ -5,10 +5,10 @@ set -eu
 cd $HOME/gnunet/
 git clean -fdx
 
-# like "git pull", but robust against force pushes
-# and local changes
 git fetch
-git reset --hard FETCH_HEAD
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
 
 ./bootstrap
 ./configure --prefix=$HOME/local --enable-logging=verbose 
--with-libgnurl=$HOME/local --with-microhttpd=$HOME/local

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]